/*
 * Copyright 2018-present Open Networking Foundation
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.onosproject.fpcagent;

import org.onosproject.net.pi.model.PiActionId;
import org.onosproject.net.pi.model.PiActionParamId;
import org.onosproject.net.pi.model.PiMatchFieldId;
import org.onosproject.net.pi.model.PiTableId;
import org.onosproject.net.pi.runtime.PiAction;

public class SpgwPiConstants {
    public static final PiTableId TBL_ID_UE_FILTER = PiTableId
            .of("spgw_ingress.ue_filter_table");
    public static final PiTableId TBL_ID_S1U_FILTER = PiTableId
            .of("spgw_ingress.s1u_filter_table");
    public static final PiTableId TBL_ID_DL_SESS_LOOKUP = PiTableId
            .of("spgw_ingress.dl_sess_lookup");
    public static final PiMatchFieldId MF_ID_IPV4_DST = PiMatchFieldId
            .of("ipv4.dst_addr");
    public static final PiMatchFieldId MF_ID_S1U_SGW_ADDR = PiMatchFieldId
            .of("spgw_meta.s1u_sgw_addr");
    public static final PiActionId ACT_ID_SET_DL_SESS_INFO = PiActionId
            .of("spgw_ingress.set_dl_sess_info");
    public static final PiActionParamId TEID = PiActionParamId
            .of("teid");
    public static final PiActionParamId PARAM_S1U_ENB_ADDR = PiActionParamId
            .of("s1u_enb_addr");
    public static final PiActionParamId PARAM_ID_S1U_SGW_ADDR = PiActionParamId
            .of("s1u_sgw_addr");
    public static final PiAction NO_ACTION = PiAction.builder()
            .withId(PiActionId.of("NoAction"))
            .build();
}
